OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields | Private Attributes
DropDownListCompanyItem Class Reference

Drop down list entry for showing a company entry, with companies 'blob'. More...

Inheritance diagram for DropDownListCompanyItem:

## Public Member Functions
| DropDownListCompanyItem (int result, bool masked, bool greyed)
bool | Selectable () const
uint | Width () const
uint | Height (uint width) const
void | Draw (int left, int right, int top, int bottom, bool sel, int bg_colour) const
Public Member Functions inherited from DropDownListItem
| DropDownListItem (int result, bool masked)

## Data Fields
bool | greyed
Data Fields inherited from DropDownListItem
int | result
| Result code to return to window on selection.
bool | masked
| Masked and unselectable item.

## Private Attributes
Dimension | icon_size

## Detailed Description

Drop down list entry for showing a company entry, with companies 'blob'.

Definition at line 115 of file toolbar_gui.cpp.

The documentation for this class was generated from the following file:

- src/toolbar_gui.cpp